; odstrani vyskyty prvku e v nejvyssi urovni seznamu s
(defun mydelete (e s)
  (cond
       ((null s)          nil)
       ((equal e (car s)) (mydelete e (cdr s)))
       (t                 (cons (car s) (mydelete e (cdr s))))
  )
)

; zjisti maximalni hloubku vnoreni seznamu - max je stand. fce
(defun max-hloubka (s)
  (cond
       ((null s)       0)
       ((atom (car s)) (max 1 (max-hloubka (cdr s))))
       (t              (max (+ 1 (max-hloubka (car s))) (max-hloubka (cdr s))))  ; nasobna redukce
  )
)

; najde prvek s nejvetsi hodnotou ve vnorovanem seznamu
(defun max-prvek (s)
  (cond
       ((atom s)       s)
       ((null (cdr s)) (max-prvek (car s)))
       (t              (max (max-prvek (car s)) (max-prvek (cdr s))))
  )
)
